ru.bitel.bgbilling.modules.phone.server.bean.event

## Class ClientItemChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.phone.server.bean.event.ClientItemChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ClientItemChangedEvent
      extends QueueEvent

  Асинхронное событие - изменён поинт/правило.
  Генерируется после изменения клиентского поинта/правила.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ClientItemChangedEvent()`
    `` | `ClientItemChangedEvent(int userId, int moduleId, ClientItem item, boolean create)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientItem` | `getItem()` Возвращает изменённый объект поинта/правила.
    `int` | `getTypeId()` Deprecated.
    `boolean` | `isCreate()` Возвращает, был ли поинт/правило создан.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientItemChangedEvent

          protected ClientItemChangedEvent()

    - #### ClientItemChangedEvent

          public ClientItemChangedEvent(int userId,
                                        int moduleId,
                                        ClientItem item,
                                        boolean create)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `item` - - объект поинта/правила
        `create` - - был ли поинт/правило создан

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getItem

          public ClientItem getItem()

      Возвращает изменённый объект поинта/правила.
      Returns:
        itme - объект поинта/правила

    - #### isCreate

          public boolean isCreate()

      Возвращает, был ли поинт/правило создан.
      Returns:
        create - флаг создания поинта/правила